
#import <Foundation/Foundation.h>

/*! \brief //apple_ref/occ/cl/MyClass
*/
@interface MyClass : NSObject

/*! \brief //apple_ref/occ/clm/MyClass/classMethod
*/
+(void)classMethod;

/*! \brief //apple_ref/occ/instm/MyClass/instanceMethod
*/
-(void)instanceMethod;

/*! \brief //apple_ref/occ/instp/MyClass/myProperty
*/
@property int myProperty;

@end

/*! \brief //apple_ref/occ/intf/MyProtocol
*/
@protocol MyProtocol

/*! \brief //apple_ref/occ/intfcm/MyProtocol/protocolClassMethod
*/
+(void)protocolClassMethod;

/*! \brief //apple_ref/occ/intfm/MyProtocol/protocolInstanceMethod
*/
-(void)protocolInstanceMethod;

/*! \brief //apple_ref/occ/intfp/MyProtocol/myProtocolProperty
*/
@property int myProtocolProperty;

@end


enum {
  /*! \brief //apple_ref/c/econst/myEnum
   */
   myEnum
};

/*! \brief //apple_ref/c/data/myGlobalConstant;
 */
extern const NSString *myGlobalConstant;
